# VariantVersionMappingStrategy

interface VariantVersionMappingStrategy

Defines the version mapping strategy when publishing, for a specific variant.

#### Since

5.2

## Functions

fromResolutionOf
Link copied to clipboard
abstract fun fromResolutionOf(configurationName: String)
abstract fun fromResolutionOf(configuration: Configuration)
Declares that this variant should use versions from the resolution of the configuration provided as an argument.
fromResolutionResult
Link copied to clipboard
abstract fun fromResolutionResult()
Declares that this variant should use versions from the resolution of a default configuration chosen by Gradle.